## xorg-server 1.20.11

=== debian/changelog ===
xorg-server (2:1.20.11-1+deb11u1) bullseye-security; urgency=high

  * Team upload.
  * record: Fix out of bounds access in SwapCreateRegister() [CVE-2021-4011]
  * xfixes: Fix out of bounds access in *ProcXFixesCreatePointerBarrier() [CVE-2021-4009]
  * Xext: Fix out of bounds access in SProcScreenSaverSuspend() [CVE-2021-4010]
  * render: Fix out of bounds access in SProcRenderCompositeGlyphs() [CVE-2021-4008]

 -- Julien Cristau <jcristau@debian.org>  Thu, 16 Dec 2021 18:08:23 +0100

xorg-server (2:1.20.11-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2021-3472
  * Add signing key for Matt Turner.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 13 Apr 2021 19:07:31 +0300

xorg-server (2:1.20.10-3) unstable; urgency=medium

  [ Julien Cristau ]
  * Drop workaround for mips* FTBFS added in 2:1.20.10-1, shouldn't be
    necessary anymore with the change in 2:1.20.10-2.

  [ Sven Joachim ]
  * Recommend default-logind | logind rather than libpam-systemd in
    xserver-xorg-core (Closes: #923198).
  * Use mktemp rather than tempfile in xserver-xorg-legacy.postinst
    (Closes: #979751).
  * Use dpkg-vendor to get the vendor name, drop lsb-release from
    Build-Depends.

   [ Vagrant Cascadian ]
  * Avoid embedding the running kernel version (Closes: #976898).

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Feb 2021 11:17:43 +0200

xorg-server (2:1.20.10-2) unstable; urgency=medium

  * Stop defining inb/outb on mips, to fix FTBFS in some drivers with GCC 10
    (closes: #978670).

 -- Julien Cristau <jcristau@debian.org>  Wed, 06 Jan 2021 10:33:33 +0100

xorg-server (2:1.20.10-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
    - CVE-2020-14360, CVE-2020-25712 (Closes: #976216)
  * Drop patches:
    - 0001-Revert-*: Reverted upstream in this version
    - revert-hw-xfree86-avoid-cursor-use-after-free.diff: Issue fixed in this version
    - revert-disabling-xss-for-rootless-xwayland.diff: Was resolved upstream as
      being a client bug
  * control: Add libnvidia-egl-wayland-dev to build-depends, enables
    EGLStream support in xwayland.

  [ Adrian Bunk ]
  * rules: Add a workaround to fix build on mips*. (Closes: #975579)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Dec 2020 12:41:35 +0200

xorg-server (2:1.20.9-2) unstable; urgency=medium

  * fix-pci-probing-segfault.diff: Dropped and revert three commits
    instead. (Closes: #969739)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 24 Sep 2020 12:19:06 +0300

xorg-server (2:1.20.9-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2020-14347 (Closes: #968986)
  * fix-pci-probing-segfault.diff: Fix a regression in 1.20.9 when
    probing the GPU.
  * revert-hw-xfree86-avoid-cursor-use-after-free.diff: Revert a commit
    which is causing server crashes.
  * revert-disabling-xss-for-rootless-xwayland.diff: Fix a regression
    where apps crash under Xwayland.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 31 Aug 2020 18:49:48 +0300

xorg-server (2:1.20.8-2) unstable; urgency=medium

  * rules: Exclude udeb/ from indep dh_missing. (Closes: #955399)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 31 Mar 2020 13:14:40 +0300

xorg-server (2:1.20.8-1) unstable; urgency=medium

  * New upstream release.
  * patches: Dropped patches applied upstream:
    - fix-modesetting-build.diff
    - add-EGL_QUERY_DRIVER-check.diff
    - fix-rotate-crash.diff
  * control: Use debhelper-compat, bump to 12.
  * rules: Migrate to dh_missing.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 30 Mar 2020 15:48:38 +0300

xorg-server (2:1.20.7-4) unstable; urgency=medium

  [ Jordan Justen ]
  * add-EGL_QUERY_DRIVER-check.diff: Add missing change from upstream
    to fix glamor getting the driver name from EGL.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 29 Feb 2020 07:05:06 +0200

xorg-server (2:1.20.7-3) unstable; urgency=medium

  * fix-rotate-crash.diff: Fix a crash if rotation is set on xorg.conf.
    (Closes: #949257)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Feb 2020 18:27:36 +0200

xorg-server (2:1.20.7-2) unstable; urgency=medium

  * add-EGL_QUERY_DRIVER-check.diff: Add a check for EGL_QUERY_DRIVER to
    autotools.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Jan 2020 12:13:49 +0200

xorg-server (2:1.20.7-1) unstable; urgency=medium

  * New upstream release.
  * 07_use-modesetting-driver-by-default-on-GeForce.diff: Modified to
    not include xf86drm.h on Hurd. (Closes: #947746)
  * control: Add mesa-common-dev and libx11-xcb-dev to build-depends.
    (Closes: #947748)
  * serverminver: Bump video abi minor.
  * fix-modesetting-build.diff: Add a missing include to fix the build.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Jan 2020 10:50:19 +0200

xorg-server (2:1.20.6-1) unstable; urgency=medium

  [ Sven Joachim ]
  * Remove the explicit build and build-indep targets (Closes: #941128).
  * Exclude the directory where xorg-server.tar.xz is built from it
    (Closes: #930405).
  * Make the xorg-server-source binary package reproducible by specifying
    suitable options to tar when creating /tmp/xorg-server.tar.xz.
  * Set Rules-Requires-Root to binary-targets.
  * Drop dependency on dummy package libegl1-mesa (Closes: #930608).
  * Remove no longer used lintian overrides from version 2:1.11.2.901-1.
  * Bump debhelper compat level to 11.
    - Drop autoreconf and --parallel from the dh sequence, default since
      compat level 10.  Remove dh-autoreconf from Build-Depends, redundant.
  * Drop dpkg-dev build dependency, already fulfilled in wheezy.
  * Add xz-utils to Build-Depends-Indep.
  * Fix a typo in the xvfb-run manpage.

  [ Timo Aaltonen ]
  * New upstream release.
  * Add signing key from Matt Turner.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 25 Nov 2019 11:49:09 +0200

=== debian/control ===
Source: xorg-server
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 po-debconf,
 quilt,
 pkg-config,
 bison,
 flex,
 xutils-dev (>= 1:7.6+4),
 xfonts-utils (>= 1:7.5+1),
 x11proto-dev (>= 2018.4),
 xtrans-dev (>= 1.3.5),
 libxau-dev (>= 1:1.0.5-2),
 libxdmcp-dev (>= 1:0.99.1),
 libxfont-dev (>= 1:2.0.1),
 libxkbfile-dev (>= 1:0.99.1),
 libpixman-1-dev (>= 0.27.2),
 libpciaccess-dev (>= 0.12.901),
 libgcrypt-dev,
 nettle-dev,
 libudev-dev (>= 151-3) [linux-any],
 libselinux1-dev (>= 2.0.80) [linux-any],
 libaudit-dev [linux-any],
 libdrm-dev (>= 2.4.89) [!hurd-i386],
 libgl1-mesa-dev (>= 9.2),
 mesa-common-dev,
 libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
 libxmuu-dev (>= 1:0.99.1),
 libxext-dev (>= 1:0.99.1),
 libx11-dev (>= 2:1.6),
 libxrender-dev (>= 1:0.9.0),
 libxi-dev (>= 2:1.6.99.1),
 libdmx-dev (>= 1:1.0.1),
 libxpm-dev (>= 1:3.5.3),
 libxaw7-dev (>= 1:0.99.1),
 libxt-dev (>= 1:0.99.1),
 libxmu-dev (>= 1:0.99.1),
 libxtst-dev (>= 1:0.99.1),
 libxres-dev (>= 1:0.99.1),
 libxfixes-dev (>= 1:3.0.0),
 libxv-dev,
 libxinerama-dev,
 libxshmfence-dev (>= 1.1) [!hurd-i386],
# glamor
 libepoxy-dev [linux-any kfreebsd-any],
 libegl1-mesa-dev [linux-any kfreebsd-any],
 libgbm-dev (>= 10.2) [linux-any kfreebsd-any],
# XCB bits for Xephyr
 libx11-xcb-dev,
 libxcb1-dev,
 libxcb-xkb-dev,
 libxcb-shape0-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-util0-dev,
 libxcb-image0-dev,
 libxcb-icccm4-dev,
 libxcb-shm0-dev,
 libxcb-keysyms1-dev,
 libxcb-randr0-dev,
 libxcb-xv0-dev,
 libxcb-glx0-dev,
 libxcb-xf86dri0-dev (>= 1.6),
# unit tests
 xkb-data,
 x11-xkb-utils,
# arc4random_buf(), getpeereid()
 libbsd-dev,
# xwayland
 libnvidia-egl-wayland-dev,
 libwayland-dev [linux-any],
 wayland-protocols (>= 1.10) [linux-any],
#logind
  libdbus-1-dev (>= 1.0) [linux-any],
# systemd-daemon
  libsystemd-dev [linux-any],
Build-Depends-Indep: xz-utils
Standards-Version: 3.9.8
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/xorg-team/xserver/xorg-server.git
Vcs-Browser: https://salsa.debian.org/xorg-team/xserver/xorg-server
Homepage: https://www.x.org/

Package: xserver-xorg-core
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 keyboard-configuration [linux-any kfreebsd-any],
 udev (>= 149) [linux-any],
 devd [kfreebsd-any],
# for glamor; not a shlibdep because we use epoxy
 libegl1 [linux-any kfreebsd-any],
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 libgl1-mesa-dri (>= 7.10.2-4),
 default-logind | logind,
Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
Breaks:
 libgl1-mesa-dri (<< 18.0.5),
 xserver-xorg (<< 1:7.7+10~),
 systemd (<< 226-4~),
Replaces:
 xserver-xorg-video-modesetting,
 xserver-xorg (<< 1:7.7+10~),
Conflicts:
 xserver-xorg-input-evtouch,
 xserver-xorg-video-modesetting,
Provides:
 ${videoabi},
 ${inputabi},
 xserver-xorg-video-modesetting,
Description: Xorg X server - core server
 The Xorg X server is an X server for several architectures and operating
 systems, which is derived from the XFree86 4.x series of X servers.
 .
 The Xorg server supports most modern graphics hardware from most vendors,
 and supersedes all XFree86 X servers.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xserver-xorg-core-udeb
Package-Type: udeb
Section: debian-installer
# exclude sparc because of linker errors
Architecture: any
Depends:
# merged: xserver-common (>= ${source:Version}),
 xkb-data-udeb,
 x11-xkb-utils-udeb,
# disabled: keyboard-configuration [linux-any kfreebsd-any],
 udev-udeb (>= 149) [linux-any],
 devd-udeb [kfreebsd-any],
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 ${videoabi},
 ${inputabi},
Description: Xorg X server - core server
 This is a udeb, or a microdeb, for the debian-installer.

Package: xserver-xorg-dev
Architecture: any
Depends:
 libpixman-1-dev (>= 0.27.2),
 x11proto-dev (>= 2018.4),
 libxfont-dev,
 libxkbfile-dev,
 libpciaccess-dev,
 mesa-common-dev,
 ${misc:Depends},
Description: Xorg X server - development files
 This package provides development files for the X.Org ('Xorg') X server.
 This is not quite the same as the DDK (Driver Development Kit) from the
 XFree86 4.x and X.Org 6.7, 6.8 and 6.9 series of servers; it provides
 headers and a pkg-config file for drivers using autotools to build
 against.
 .
 Unless you are developing or building a driver, you probably want
 xserver-xorg and/or xserver-xorg-core instead.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xdmx
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: distributed multihead X server
 Xdmx is a proxy X server that uses one or more other X servers as its
 display device(s). It provides multi-head X functionality for displays that
 might be located on different machines. Xdmx functions as a front-end X server
 that acts as a proxy to a set of back-end X servers. All of the visible
 rendering is passed to the back-end X servers. Clients connect to the Xdmx
 front-end, and everything appears as it would in a regular multi-head
 configuration. If Xinerama is enabled (e.g., with +xinerama on the command
 line), the clients see a single large screen.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xdmx-tools
Architecture: any
Depends:
 xdmx,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Distributed Multihead X tools
 This package provides a collection of tools used for administration of
 the Xdmx server; see the xdmx package for more information.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xnest
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Provides: xserver
Description: Nested X server
 Xnest is a nested X server that simply relays all its requests to another
 X server, where it runs as a client.  This means that it appears as another
 window in your current X session.  Xnest relies upon its parent X server
 for font services.
 .
 Use of the Xephyr X server instead of Xnest is recommended.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xvfb
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: xauth
Provides: xserver
Multi-Arch: foreign
Description: Virtual Framebuffer 'fake' X server
 Xvfb provides an X server that can run on machines with no display hardware
 and no physical input devices. It emulates a dumb framebuffer using virtual
 memory. The primary use of this server was intended to be server testing,
 but other novel uses for it have been found, including testing clients
 against unusual depths and screen configurations, doing batch processing with
 Xvfb as a background rendering engine, load testing, as an aid to porting the
 X server to a new platform, and providing an unobtrusive way to run
 applications that don't really need an X server but insist on having one
 anyway.
 .
 This package also contains a convenience script called xvfb-run which
 simplifies the automated execution of X clients in a virtual server
 environment. This convenience script requires the use of the xauth
 program.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xserver-xephyr
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Provides: xserver
Description: nested X server
 Xephyr is an X server that can be run inside another X server,
 much like Xnest. It is based on the kdrive X server, and as a
 result it supports newer extensions than Xnest, including render and
 composite.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xserver-common
Architecture: all
Multi-Arch: foreign
Depends:
 x11-common,
 xkb-data,
 x11-xkb-utils,
 ${misc:Depends},
Recommends:
 xfonts-base,
 xauth,
Replaces: xserver-xorg-core (<< 2:1.5.2)
Description: common files used by various X servers
 This package provides files necessary for all X.Org based X servers.

Package: xorg-server-source
Architecture: all
Depends:
 ${misc:Depends},
Description: Xorg X server - source files
 This package provides original Debian (with Debian patches already
 applied, and autotools files updated) sources for the X.Org ('Xorg')
 X server shipped in a tarball.  This enables other projects re-using
 X server codebase (e.g. VNC servers) to (re-)use officially
 Debian-supported version of the X xserver for their builds.
 .
 Unless you are building a software product using X server sources,
 you probably want xserver-xorg and/or xserver-xorg-core instead.

Package: xwayland
Architecture: linux-any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Xwayland X server
 This package provides an X server running on top of wayland, using wayland
 input devices for input and forwarding either the root window or individual
 top-level windows as wayland surfaces.

Package: xserver-xorg-legacy
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Breaks:
 x11-common (<< 1:7.7+10~),
 xserver-xorg-core (<< 2:1.17.2-3~),
Replaces:
 x11-common (<< 1:7.7+10~),
 xserver-xorg-core (<< 2:1.17.2-3~),
Description: setuid root Xorg server wrapper
 This package provides a wrapper for the Xorg X server, which is
 necessary for legacy drivers and non-Linux kernels.

=== debian/rules ===
#!/usr/bin/make -f

include debian/rules.flags

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with quilt

override_dh_autoreconf-arch: abibumpcheck
	dh_autoreconf

override_dh_autoreconf-indep:
	dh_autoreconf
	mkdir -p build-source
	tar \
	--owner=0 --group=0 \
        --transform 's,^,xorg-server/,' \
	--exclude=debian \
	--exclude=autom4te.cache \
	--exclude=build-source \
	--sort=name \
	--mtime=@$(SOURCE_DATE_EPOCH) \
	--clamp-mtime \
	--mode=u+rw,go+r,go-w,a-s \
        -cf - * | xz > build-source/xorg-server.tar.xz

override_dh_auto_configure:
	dh_auto_configure --builddirectory=debian/build/main -- \
		$(confflags) \
		$(confflags_main) \
		$(vars)
	dh_auto_configure --builddirectory=debian/build/udeb -- \
		$(confflags) \
		$(confflags_udeb) \
		$(vars)

override_dh_auto_build:
	dh_auto_build --builddirectory=debian/build/main
	dh_auto_build --builddirectory=debian/build/udeb

override_dh_auto_test:
	dh_auto_test -- -j1 VERBOSE=1

override_dh_auto_install:
	dh_auto_install --builddirectory=debian/build/main \
		--destdir=debian/tmp/main
	dh_auto_install --builddirectory=debian/build/udeb \
		--destdir=debian/tmp/udeb

	# oh, yuck.
	find debian/tmp/*/usr/lib/xorg -type f -name '*.la' -delete

	# remove modules not needed in d-i
	rm -rf debian/tmp/udeb/usr/lib/xorg/modules/multimedia
	rm -f debian/tmp/udeb/usr/lib/xorg/modules/libxaa.so
	rm -f debian/tmp/udeb/usr/lib/xorg/modules/libexa.so
	rm -f debian/tmp/udeb/usr/lib/xorg/modules/libwfb.so
	rm -f debian/tmp/udeb/usr/lib/xorg/modules/libxf8_16bpp.so

	# we don't ship these from the udeb build, needed for dh_install
	# --fail-missing
	rm -rf debian/tmp/udeb/var/lib/xkb/README.compiled
	rm -rf debian/tmp/udeb/usr/bin/X
	rm -rf debian/tmp/udeb/usr/include
	rm -rf debian/tmp/udeb/usr/share/aclocal
	rm -rf debian/tmp/udeb/usr/share/man
	rm -rf debian/tmp/udeb/usr/lib/*/pkgconfig

	install -m 755 debian/local/xvfb-run debian/tmp/main/usr/bin
	install debian/local/xvfb-run.1 debian/tmp/main/usr/share/man/man1
ifneq ($(DEB_HOST_ARCH_OS), linux)
	install -d debian/tmp/main/usr/share/X11/xorg.conf.d
	install -m 644 debian/local/10-*.conf debian/tmp/main/usr/share/X11/xorg.conf.d
	install -d debian/tmp/udeb/usr/share/X11/xorg.conf.d
	install -m 644 debian/local/10-*.conf debian/tmp/udeb/usr/share/X11/xorg.conf.d
endif

# Only read the first line, the rest of the file is used to determine
# when the minimal version is to be bumped:
SERVERMINVER = debian/serverminver
serverminver = $(shell head -1 $(SERVERMINVER))

.PHONY: abibumpcheck
abibumpcheck: debian/serverminver
	@echo Checking for the need of an ABI bump
	# Build an updated version of the file:
	head -1 $(SERVERMINVER) > $(SERVERMINVER).new
	perl -ne 'print "$$1:$$2.$$3\n" if /^#define\s+(ABI_(?:VIDEODRV|XINPUT)_VERSION)\s+SET_ABI_VERSION\(\s*(\d+)\s*,\s*(\d+)\s*\)/' hw/xfree86/common/xf86Module.h|sort >> $(SERVERMINVER).new
	# Compare both files:
	@if ! cmp --quiet $(SERVERMINVER) $(SERVERMINVER).new; then \
	echo "serverminver bump required, ABI changed!";\
	echo "When bumping major or minor, always bump required xorg-server minimum";\
	echo "version too, the newly built drivers are not backwards compatible!";\
	diff -u $(SERVERMINVER) $(SERVERMINVER).new; \
	exit 1; \
	else \
	echo "ABI unchanged"; \
	rm -f $(SERVERMINVER).new; \
	fi

override_dh_fixperms-arch:
	dh_fixperms
	chown root:root $(CURDIR)/debian/xserver-xorg-legacy/usr/lib/xorg/Xorg.wrap
	chmod ug+s $(CURDIR)/debian/xserver-xorg-legacy/usr/lib/xorg/Xorg.wrap

override_dh_install:
	dh_install -pxserver-xorg-core-udeb --sourcedir=debian/tmp/udeb
	dh_install --remaining-packages --sourcedir=debian/tmp/main
	install -d $(CURDIR)/debian/xserver-xorg-dev/usr/share/xserver-xorg
	# Extract only the major ABI version:
	set -e; \
		abi_videodrv=`PKG_CONFIG_PATH=debian/tmp/main/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig pkg-config --variable=abi_videodrv xorg-server|cut -d . -f 1`; \
		test -n "$$abi_videodrv"; echo videoabi=xorg-video-abi-$$abi_videodrv > debian/xserver-xorg-core.substvars && \
		echo "xorg-video-abi-$$abi_videodrv, xserver-xorg-core (>= $(serverminver))" > debian/xserver-xorg-dev/usr/share/xserver-xorg/videodrvdep
	set -e; \
		abi_xinput=`PKG_CONFIG_PATH=debian/tmp/main/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig pkg-config --variable=abi_xinput xorg-server|cut -d . -f 1`; \
		test -n "$$abi_xinput"; echo inputabi=xorg-input-abi-$$abi_xinput >> debian/xserver-xorg-core.substvars && \
		echo "xorg-input-abi-$$abi_xinput, xserver-xorg-core (>= $(serverminver))" > debian/xserver-xorg-dev/usr/share/xserver-xorg/xinputdep

	# The udeb uses the same substvars:
	cp debian/xserver-xorg-core.substvars debian/xserver-xorg-core-udeb.substvars

	# save the configure flags so that packages like vnc, tightvnc, tigervnc
	# know how the package was built.
	echo 'xserver_confflags = $(confflags) $(confflags_main)' \
		> debian/xserver-xorg-dev/usr/share/xserver-xorg/configure_flags.mk

	install -m 755 -d debian/xserver-xorg-core/usr/share/bug/xserver-xorg-core
	install -m 755 debian/xserver-xorg-core.bug.script debian/xserver-xorg-core/usr/share/bug/xserver-xorg-core/script
ifeq ($(DEB_HOST_ARCH_OS), linux)
	install -d debian/xserver-xorg-core/lib/udev/rules.d
	install -m 644 debian/local/64-xorg-xkb.rules debian/xserver-xorg-core/lib/udev/rules.d
	install -d debian/xserver-xorg-core-udeb/lib/udev/rules.d
	install -m 644 debian/local/64-xorg-xkb.rules debian/xserver-xorg-core-udeb/lib/udev/rules.d
endif

override_dh_missing-indep:
	dh_missing -i -X udeb/

override_dh_missing-arch:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean
	rm -rf debian/build
	rm -rf build-source

## xorg-server 21.1.3

=== meson_options.txt ===
option('xorg', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable Xorg X Server')
option('xephyr', type: 'boolean', value: false,
       description: 'Enable Xephyr nested X server')
option('glamor', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable glamor (default yes for Xorg builds)')
option('xnest', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable Xnest nested X server')
option('xvfb', type: 'boolean', value: true,
       description: 'Enable Xvfb X server')
option('xwin', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable XWin X server')
option('xquartz', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable Xquartz X server')


option('builder_addr', type: 'string', description: 'Builder address', value: 'xorg@lists.freedesktop.org')
option('builder_string', type: 'string', description: 'Additional builder string')

option('log_dir', type: 'string')
option('module_dir', type: 'string', value: 'xorg/modules',
       description: 'X.Org modules directory (absolute or relative to the directory specified by the libdir option)')
option('default_font_path', type: 'string')

option('glx', type: 'boolean', value: true)
option('xdmcp', type: 'boolean', value: true)
option('xdm-auth-1', type: 'boolean', value: true)
option('secure-rpc', type: 'boolean', value: true)
option('ipv6', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto')
option('input_thread', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto')

option('xkb_dir', type: 'string')
option('xkb_output_dir', type: 'string')
option('xkb_bin_dir', type: 'string')
option('xkb_default_rules', type: 'string', value: 'evdev')
option('xkb_default_model', type: 'string', value: 'pc105')
option('xkb_default_layout', type: 'string', value: 'us')
option('xkb_default_variant', type: 'string')
option('xkb_default_options', type: 'string')

option('fallback_input_driver', type: 'string', value: 'auto')

option('vendor_name', type: 'string', value: 'The X.Org Foundation')
option('vendor_name_short', type: 'string', value: 'X.Org')
option('vendor_web', type: 'string', value: 'http://wiki.x.org')

option('dtrace', type: 'boolean', value: false,
       description: 'Enable dtrace hooks')

option('listen_tcp', type: 'boolean', value: false,
       description: 'Listen on TCP by default')
option('listen_unix', type: 'boolean', value: true,
       description: 'Listen on Unix by default')
option('listen_local', type: 'boolean', value: true,
       description: 'Listen on local by default')

option('int10', type: 'combo', choices: ['stub', 'x86emu', 'vm86', 'auto', 'false'],
       value: 'auto',
       description: 'Xorg int10 backend (default: usually x86emu)')
option('suid_wrapper', type: 'boolean', value: 'false',
       description: 'SUID wrapper for legacy driver support')
option('pciaccess', type: 'boolean', value: 'true',
       description: 'Xorg pciaccess support')
option('udev', type: 'boolean', value: 'true')
option('udev_kms', type: 'boolean', value: 'true')
option('hal', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable HAL integration')
option('systemd_logind', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable systemd-logind integration')
option('vgahw', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Xorg VGA access module')
option('dpms', type: 'boolean', value: true,
       description: 'Xorg DPMS extension')
option('xf86bigfont', type: 'boolean', value: false,
       description: 'XF86 Big Font extension')
option('screensaver', type: 'boolean', value: true,
       description: 'ScreenSaver extension')
option('xres', type: 'boolean', value: true,
       description: 'XRes extension')
option('xace', type: 'boolean', value: true,
       description: 'X-ACE extension')
option('xselinux', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'XSELINUX extension')
option('xinerama', type: 'boolean', value: true,
       description: 'Xinerama extension')
option('xcsecurity', type: 'boolean', value: false,
       description: 'Security extension')
option('xv', type: 'boolean', value: true,
       description: 'Xv extension')
option('xvmc', type: 'boolean', value: true,
       description: 'XvMC extension')
option('dga', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'DGA extension')
option('linux_apm', type: 'boolean', value: true,
       description: 'APM support on Linux')
option('linux_acpi', type: 'boolean', value: true,
       description: 'ACPI support on Linux')
option('mitshm', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'SHM extension')
option('agp', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'AGP support')
option('sha1', type: 'combo', choices: ['libc', 'CommonCrypto', 'CryptoAPI', 'libmd', 'libsha1', 'libnettle', 'libgcrypt', 'libcrypto', 'auto'], value: 'auto',
       description: 'SHA1 implementation')
option('xf86-input-inputtest', type: 'boolean', value: true,
       description: 'Test input driver support on Xorg')

option('dri1', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto', description: 'Build DRI1 extension (default: auto)')
option('dri2', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto', description: 'Build DRI2 extension (default: auto)')
option('dri3', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto', description: 'Build DRI3 extension (default: auto)')
option('drm', type: 'boolean', value: 'true',
        description: 'Build Xorg with libdrm support')

option('apple-applications-dir', type: 'string', value: '/Applications/Utilities',
        description: 'Applications directory')
option('apple-application-name', type: 'string', value: 'X11',
        description: 'Application name')
option('bundle-id-prefix', type: 'string', value: 'org.x',
        description: 'RDNS prefix for bundle identifier')
option('sparkle-feed-url', type: 'string',
        description: 'Feed URL for autoupdating with the Sparkle Framework (default: disabled)')
option('xpbproxy', type: 'boolean', value: false,
        description: 'Build a standalone X pasteboard proxy')

option('libunwind', type: 'boolean', value: false,
        description: 'Use libunwind for backtrace reporting')

option('docs', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Build documentation')
option('devel-docs', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Build development documentation')
option('docs-pdf', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Whether to build PDF version of documentation. Setting is ignored if documentation is not built.')

## xorg-server 21.1.7

=== meson_options.txt ===
--- 
+++ 
@@ -116,8 +116,14 @@
         description: 'Application name')
 option('bundle-id-prefix', type: 'string', value: 'org.x',
         description: 'RDNS prefix for bundle identifier')
+option('bundle-version', type: 'string', value: 'auto',
+        description: 'The CFBundleVersion for the application bundle')
+option('bundle-version-string', type: 'string', value: 'auto',
+        description: 'The CFBundleShortVersionString for the application bundle')
 option('sparkle-feed-url', type: 'string',
         description: 'Feed URL for autoupdating with the Sparkle Framework (default: disabled)')
+option('sparkle-public-edkey', type: 'string',
+        description: 'Public EdDSA key for verifying updates from the Sparkle feed (default: disabled)')
 option('xpbproxy', type: 'boolean', value: false,
         description: 'Build a standalone X pasteboard proxy')

## xorg-server 21.1.8%2B1revyos1

=== debian/changelog ===
xorg-server (3:21.1.8+1revyos1) unstable; urgency=medium

  * trans format 1.0 to 3.0 (native)
  * modify glx extension installation directory

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 08 Oct 2023 21:01:25 +0800

xorg-server (2:21.1.8-1) unstable; urgency=medium

  * patches: Drop an obsolete patch. (Closes: #1034413)
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 01 Aug 2023 12:26:02 +0300

xorg-server (2:21.1.7-3) unstable; urgency=medium

  * Enable DRI2 for the udeb build, needed in addition to DRM support
    since 9c81b8f5b5 to build the modesetting driver. This fixes failures
    to start X in the graphical installer under UTM (Closes: #1035014).
    Thanks to Keith Toh for the report and the follow-up tests!

 -- Cyril Brulebois <kibi@debian.org>  Wed, 03 May 2023 03:41:41 +0200

xorg-server (2:21.1.7-2) unstable; urgency=high

  * composite: Fix use-after-free of the COW
    ZDI-CAN-19866/CVE-2023-1393

 -- Julien Cristau <jcristau@debian.org>  Wed, 29 Mar 2023 15:11:07 +0200

xorg-server (2:21.1.7-1) unstable; urgency=medium

  * New upstream release
    + Xi: fix potential use-after-free in DeepCopyPointerClasses
      (CVE-2023-0494, closes: #1030777)

 -- Julien Cristau <jcristau@debian.org>  Tue, 07 Feb 2023 14:15:45 +0100

xorg-server (2:21.1.6-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches.
  * Add signing-key from Olivier Fourdan.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Jan 2023 16:02:46 +0200

xorg-server (2:21.1.5-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2022-46340, CVE-2022-46341, CVE-2022-46342, CVE-2022-46343,
      CVE-2022-46344, CVE-2022-46283
  * Add signing-key from Peter Hutterer.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 14 Dec 2022 11:10:24 +0200

xorg-server (2:21.1.4-3) unstable; urgency=medium

  * xkb: proof GetCountedString against request length attacks (CVE-2022-3550)
  * xkb: fix some possible memleaks in XkbGetKbdByName (CVE-2022-3551)

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 11 Nov 2022 13:35:13 +0100

xorg-server (2:21.1.4-2) unstable; urgency=medium

  * 001_fedora_extramodes.patch: Dropped, apparently obsolete since
    1.5.0. (LP: #1990456)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 22 Sep 2022 08:53:59 +0300

xorg-server (2:21.1.4-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2022-2319, CVE-2022-2320 (Closes: #1014903)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 25 Jul 2022 12:46:43 +0300

xorg-server (2:21.1.3-2) unstable; urgency=medium

  * present-Check-for-NULL-to-prevent-crash.patch: Fix a crash with
    nvidia 495.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Feb 2022 12:19:09 +0200

xorg-server (2:21.1.3-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Jan 2022 17:54:12 +0200

xorg-server (2:21.1.1-2) experimental; urgency=medium

  * Fix serverminver.
  * control: Add libxcvt-dev to xserver-xorg-dev depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 27 Nov 2021 11:18:56 +0200

xorg-server (2:21.1.1-1) experimental; urgency=medium

  * New upstream release.
  * 04_compiler_h_inb_outb_mips.diff: Dropped, upstream.
  * Xwayland is dropped from this souce, don't try to build it.
  * Xdmx is gone, drop it from the build.
  * serverminver: Bump versions.
  * control: Bump x11proto-dev and libx1-dev depends.
  * control: Add libxcvt-dev to build-depends, xcvt to -core Recommends.
  * control: Bump libdrm-dev build-depends.
  * Update signing-key.asc.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Nov 2021 16:31:46 +0200

xorg-server (2:1.20.14-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Jan 2022 16:21:08 +0200

xorg-server (2:1.20.13-3) unstable; urgency=high

  * Team upload.
  * record: Fix out of bounds access in SwapCreateRegister() [CVE-2021-4011]
  * xfixes: Fix out of bounds access in *ProcXFixesCreatePointerBarrier() [CVE-2021-4009]
  * Xext: Fix out of bounds access in SProcScreenSaverSuspend() [CVE-2021-4010]
  * render: Fix out of bounds access in SProcRenderCompositeGlyphs() [CVE-2021-4008]

 -- Julien Cristau <jcristau@debian.org>  Tue, 14 Dec 2021 14:38:21 +0100

xorg-server (2:1.20.13-2) unstable; urgency=medium

  * Upload to unstable.
  * Disable building xwayland.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 27 Nov 2021 13:03:35 +0200

xorg-server (2:1.20.13-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Aug 2021 12:27:00 +0300

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,10 @@
  flex,
  xutils-dev (>= 1:7.6+4),
  xfonts-utils (>= 1:7.5+1),
- x11proto-dev (>= 2018.4),
+ x11proto-dev (>= 2021.5),
  xtrans-dev (>= 1.3.5),
  libxau-dev (>= 1:1.0.5-2),
+ libxcvt-dev,
  libxdmcp-dev (>= 1:0.99.1),
  libxfont-dev (>= 1:2.0.1),
  libxkbfile-dev (>= 1:0.99.1),
@@ -24,7 +25,7 @@
  libudev-dev (>= 151-3) [linux-any],
  libselinux1-dev (>= 2.0.80) [linux-any],
  libaudit-dev [linux-any],
- libdrm-dev (>= 2.4.89) [!hurd-i386],
+ libdrm-dev (>= 2.4.107-5~) [!hurd-i386],
  libgl1-mesa-dev (>= 9.2),
  mesa-common-dev,
  libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
@@ -32,8 +33,7 @@
  libxext-dev (>= 1:0.99.1),
  libx11-dev (>= 2:1.6),
  libxrender-dev (>= 1:0.9.0),
- libxi-dev (>= 2:1.6.99.1),
- libdmx-dev (>= 1:1.0.1),
+ libxi-dev (>= 2:1.8),
  libxpm-dev (>= 1:3.5.3),
  libxaw7-dev (>= 1:0.99.1),
  libxt-dev (>= 1:0.99.1),
@@ -69,10 +69,6 @@
  x11-xkb-utils,
 # arc4random_buf(), getpeereid()
  libbsd-dev,
-# xwayland
- libnvidia-egl-wayland-dev,
- libwayland-dev [linux-any],
- wayland-protocols (>= 1.10) [linux-any],
 #logind
   libdbus-1-dev (>= 1.0) [linux-any],
 # systemd-daemon
@@ -98,6 +94,7 @@
 Recommends:
  libgl1-mesa-dri (>= 7.10.2-4),
  default-logind | logind,
+ xcvt,
 Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
 Breaks:
  libgl1-mesa-dri (<< 18.0.5),
@@ -149,7 +146,8 @@
 Architecture: any
 Depends:
  libpixman-1-dev (>= 0.27.2),
- x11proto-dev (>= 2018.4),
+ x11proto-dev (>= 2021.5),
+ libxcvt-dev,
  libxfont-dev,
  libxkbfile-dev,
  libpciaccess-dev,
@@ -164,42 +162,6 @@
  .
  Unless you are developing or building a driver, you probably want
  xserver-xorg and/or xserver-xorg-core instead.
- .
- More information about X.Org can be found at:
- <URL:https://www.x.org>
- .
- This package is built from the X.org xserver module.
-
-Package: xdmx
-Architecture: any
-Depends:
- xserver-common (>= ${source:Version}),
- ${shlibs:Depends},
- ${misc:Depends},
-Description: distributed multihead X server
- Xdmx is a proxy X server that uses one or more other X servers as its
- display device(s). It provides multi-head X functionality for displays that
- might be located on different machines. Xdmx functions as a front-end X server
- that acts as a proxy to a set of back-end X servers. All of the visible
- rendering is passed to the back-end X servers. Clients connect to the Xdmx
- front-end, and everything appears as it would in a regular multi-head
- configuration. If Xinerama is enabled (e.g., with +xinerama on the command
- line), the clients see a single large screen.
- .
- More information about X.Org can be found at:
- <URL:https://www.x.org>
- .
- This package is built from the X.org xserver module.
-
-Package: xdmx-tools
-Architecture: any
-Depends:
- xdmx,
- ${shlibs:Depends},
- ${misc:Depends},
-Description: Distributed Multihead X tools
- This package provides a collection of tools used for administration of
- the Xdmx server; see the xdmx package for more information.
  .
  More information about X.Org can be found at:
  <URL:https://www.x.org>
@@ -305,17 +267,6 @@
  Unless you are building a software product using X server sources,
  you probably want xserver-xorg and/or xserver-xorg-core instead.
 
-Package: xwayland
-Architecture: linux-any
-Depends:
- xserver-common (>= ${source:Version}),
- ${shlibs:Depends},
- ${misc:Depends},
-Description: Xwayland X server
- This package provides an X server running on top of wayland, using wayland
- input devices for input and forwarding either the root window or individual
- top-level windows as wayland surfaces.
-
 Package: xserver-xorg-legacy
 Architecture: any
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 override_dh_autoreconf-arch: abibumpcheck
 	dh_autoreconf

## xorg-server 21.1.15%2B2revyos1

=== debian/changelog ===
xorg-server (2:21.1.15+2revyos1) unstable; urgency=medium

  * trans format 1.0 to 3.0 (native)
  * modify glx extension installation directory

 -- Han Gao <rabenda.cn@gmail.com>  Mon, 23 Dec 2024 08:05:52 +0000

xorg-server (2:21.1.15-2) unstable; urgency=medium

  * New upstream release.
  * patches: Fix pci detection on recent linux. (Closes: #1075713)

  [ Simo McVittie ]
  * xvfb-run: Special-case "-e /dev/stderr", etc. as redirection
    (Closes: #1087418, #921657)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Dec 2024 08:54:21 +0200

xorg-server (2:21.1.14-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Disable libunwind on armhf (closes: #1084230, #1085704)
  * Check basic functionality of xvfb-run at build-time
  * Add an autopkgtest to verify basic functionality of xvfb-run

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Nov 2024 15:56:38 +0200

xorg-server (2:21.1.14-1) unstable; urgency=high

  * New upstream release
    + CVE-2024-9632: Heap-based buffer overflow privilege escalation in
      _XkbSetCompatMap (closes: #1086244)

 -- Julien Cristau <jcristau@debian.org>  Tue, 29 Oct 2024 17:25:14 +0100

xorg-server (2:21.1.13-3) unstable; urgency=medium

  [ Tobias Heider ]
  * Backport config quirk for apple silicon (closes: #1080099)

  [ Emilio Pozuelo Monfort ]
  * Build-dep on libxcb-util-dev instead of libxcb-util0-dev.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 23 Oct 2024 12:48:58 +0200

xorg-server (2:21.1.13-2) unstable; urgency=medium

  * patches: Fix i386 build with gcc-14.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 15:54:05 +0300

xorg-server (2:21.1.13-1) unstable; urgency=medium

  * New upstream release.
  * Update signing-key.asc.
  * Add upstream metadata, drop old git url from d/watch.
  * control: Migrate to pkgconf.
  * control: Substitute libgl1-mesa-dev build-dep to libglvnd-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 15:18:01 +0300

xorg-server (2:21.1.12-1) unstable; urgency=medium

  * New upstream release.
  * render: Avoid possible double-free in ProcRenderAddGlyphs()
    (closes: #1068470)

 -- Julien Cristau <jcristau@debian.org>  Wed, 10 Apr 2024 10:44:55 +0200

xorg-server (2:21.1.11-3) unstable; urgency=high

  [ Chris Hofstaedtler ]
  * Use udev.pc to place udev files (Closes: #1057945)

  [ Julien Cristau ]
  * Pull from upstream server-21.1-branch:
    - hw/xfree86: fix NULL pointer refrence to mode name
    - Initialize Mode->name in xf86CVTMode()
    - Allow disabling byte-swapped clients
    - Xext: SProcSyncCreateFence needs to swap drawable id too
    - Xi: ProcXIGetSelectedEvents needs to use unswapped length to send
      reply (CVE-2024-31080)
    - Xi: ProcXIPassiveGrabDevice needs to use unswapped length to send
      reply (CVE-2024-31081)
    - Xquartz: ProcAppleDRICreatePixmap needs to use unswapped length to
      send reply (CVE-2024-31082)
    - render: fix refcounting of glyphs during ProcRenderAddGlyphs
      (CVE-2024-31083)
  * dix-Fix-use-after-free-in-input-device-shutdown.patch: drop (now upstream).

 -- Julien Cristau <jcristau@debian.org>  Wed, 03 Apr 2024 21:09:12 +0200

xorg-server (2:21.1.11-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * dix: Fix use after free in input device shutdown (Closes: #1061110)

 -- Julien Cristau <jcristau@debian.org>  Mon, 22 Jan 2024 13:17:07 +0100

xorg-server (2:21.1.11-1) unstable; urgency=medium

  * New upstream release, fixes:
    - CVE-2023-6816
    - CVE-2024-0229
    - CVE-2024-21885
    - CVE-2024-21886
    - CVE-2024-0408
    - CVE-2024-0409

 -- Julien Cristau <jcristau@debian.org>  Tue, 16 Jan 2024 15:33:53 +0100

xorg-server (2:21.1.10-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Fix build on hurd-amd64. Thanks Samuel Thibault. (Closes: #1055412)

  [ Timo Aaltonen ]
  * New upstream release.
    - CVE-2023-6377
    - CVE-2023-6478

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 13 Dec 2023 09:51:20 +0200

xorg-server (2:21.1.9-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2023-5367
    - CVE-2023-5380
    - CVE-2023-5574

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Oct 2023 10:43:00 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 12),
  po-debconf,
  quilt,
- pkg-config,
+ pkgconf,
  bison,
  flex,
  xutils-dev (>= 1:7.6+4),
@@ -25,10 +25,10 @@
  libudev-dev (>= 151-3) [linux-any],
  libselinux1-dev (>= 2.0.80) [linux-any],
  libaudit-dev [linux-any],
- libdrm-dev (>= 2.4.107-5~) [!hurd-i386],
- libgl1-mesa-dev (>= 9.2),
+ libdrm-dev (>= 2.4.107-5~) [!hurd-any],
+ libglvnd-dev,
  mesa-common-dev,
- libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
+ libunwind-dev [amd64 arm64 armel hppa i386 ia64 mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
  libxmuu-dev (>= 1:0.99.1),
  libxext-dev (>= 1:0.99.1),
  libx11-dev (>= 2:1.6),
@@ -43,7 +43,7 @@
  libxfixes-dev (>= 1:3.0.0),
  libxv-dev,
  libxinerama-dev,
- libxshmfence-dev (>= 1.1) [!hurd-i386],
+ libxshmfence-dev (>= 1.1) [!hurd-any],
 # glamor
  libepoxy-dev [linux-any kfreebsd-any],
  libegl1-mesa-dev [linux-any kfreebsd-any],
@@ -55,7 +55,7 @@
  libxcb-shape0-dev,
  libxcb-render0-dev,
  libxcb-render-util0-dev,
- libxcb-util0-dev,
+ libxcb-util-dev,
  libxcb-image0-dev,
  libxcb-icccm4-dev,
  libxcb-shm0-dev,
@@ -65,7 +65,9 @@
  libxcb-glx0-dev,
  libxcb-xf86dri0-dev (>= 1.6),
 # unit tests
+ xauth <!nocheck>,
  xkb-data,
+ x11-utils <!nocheck>,
  x11-xkb-utils,
 # arc4random_buf(), getpeereid()
  libbsd-dev,
@@ -73,6 +75,7 @@
   libdbus-1-dev (>= 1.0) [linux-any],
 # systemd-daemon
   libsystemd-dev [linux-any],
+  systemd-dev [linux-any],
 Build-Depends-Indep: xz-utils
 Standards-Version: 3.9.8
 Rules-Requires-Root: binary-targets

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 include debian/rules.flags
 
 include /usr/share/dpkg/architecture.mk
+
+ifeq ($(DEB_HOST_ARCH_OS), linux)
+deb_udevdir = $(shell pkg-config --variable=udevdir udev)
+endif
 
 %:
 	dh $@
@@ -40,7 +44,11 @@
 	dh_auto_build --builddirectory=debian/build/udeb
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test -- -j1 VERBOSE=1
+	# Check basic functionality of Xvfb
+	PATH="debian/build/main/hw/vfb:$$PATH" sh debian/local/xvfb-run -a -e /proc/self/fd/2 -s -noreset xdpyinfo
+endif
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=debian/build/main \
@@ -129,10 +137,10 @@
 	install -m 755 -d debian/xserver-xorg-core/usr/share/bug/xserver-xorg-core
 	install -m 755 debian/xserver-xorg-core.bug.script debian/xserver-xorg-core/usr/share/bug/xserver-xorg-core/script
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-	install -d debian/xserver-xorg-core/lib/udev/rules.d
-	install -m 644 debian/local/64-xorg-xkb.rules debian/xserver-xorg-core/lib/udev/rules.d
-	install -d debian/xserver-xorg-core-udeb/lib/udev/rules.d
-	install -m 644 debian/local/64-xorg-xkb.rules debian/xserver-xorg-core-udeb/lib/udev/rules.d
+	install -d debian/xserver-xorg-core$(deb_udevdir)/rules.d
+	install -m 644 debian/local/64-xorg-xkb.rules debian/xserver-xorg-core$(deb_udevdir)/rules.d
+	install -d debian/xserver-xorg-core-udeb$(deb_udevdir)/rules.d
+	install -m 644 debian/local/64-xorg-xkb.rules debian/xserver-xorg-core-udeb$(deb_udevdir)/rules.d
 endif
 
 override_dh_missing-indep:

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/" \
https://xorg.freedesktop.org/releases/individual/xserver/ xorg-server-(.*)\.tar\.gz
